[139911] trunk/dports/news/pan2

devans at macports.org devans at macports.org
Tue Sep 1 12:37:37 PDT 2015


Revision: 139911
          https://trac.macports.org/changeset/139911
Author:   devans at macports.org
Date:     2015-09-01 12:37:37 -0700 (Tue, 01 Sep 2015)
Log Message:
-----------
pan2: reconfigure using upstream autogen.sh for intltool 0.51 compatibility, fixes reported configuration problems, compile with recent clang++ still fails due to iso c++ issues.

Modified Paths:
--------------
    trunk/dports/news/pan2/Portfile

Added Paths:
-----------
    trunk/dports/news/pan2/files/autogen.sh

Modified: trunk/dports/news/pan2/Portfile
===================================================================
--- trunk/dports/news/pan2/Portfile	2015-09-01 18:56:12 UTC (rev 139910)
+++ trunk/dports/news/pan2/Portfile	2015-09-01 19:37:37 UTC (rev 139911)
@@ -24,8 +24,12 @@
 checksums           rmd160  e0e2963b2d11b362201639ca755ad9ae43581c2f \
                     sha256  bf5f320f997f582d7ac823e3e854393307161a92e7014d2135e6e2674d144bb9
 
-depends_build       port:intltool \
-                    port:pkgconfig
+depends_build       port:pkgconfig \
+                    port:intltool \
+                    port:gnome-common \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 depends_lib         port:pcre \
                     port:gmime \
@@ -35,6 +39,14 @@
 
 patchfiles          patch-pan-gui-gui.cc.diff
 
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
 configure.args      --disable-silent-rules
 
 configure.ldflags-append    -liconv

Added: trunk/dports/news/pan2/files/autogen.sh
===================================================================
--- trunk/dports/news/pan2/files/autogen.sh	                        (rev 0)
+++ trunk/dports/news/pan2/files/autogen.sh	2015-09-01 19:37:37 UTC (rev 139911)
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="Pan"
+
+(test -f $srcdir/Makefile.am && test -d $srcdir/pan) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common module and make"
+    echo "sure the gnome-autogen.sh script is in your \$PATH."
+    exit 1
+}
+
+USE_GNOME2_MACROS=1
+
+. gnome-autogen.sh
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150901/ffb1960e/attachment.html>


More information about the macports-changes mailing list